/* isBlank.sas
   purpose: test is the input parameter is "blank"
   input  : a text value
   output : resolves to 1 if the given text is "blank"
            0 otherwise
   note   : see Chang Chung and John King (2009). 
            "Is This Macro Parameter Blank" Paper
            022-2009 in the Proceedings of the SAS Global Forum
            2009. Washington, DC, Mar 22-25, 2009.
            <http://support.sas.com/resources/papers/proceedings09/022-2009.pdf>.
            no guarantees what so ever. comments are welcome.
   ver    : 0.1 (2008-10-09)
   by     : chang y chung and john king
   contact: chang_y_chung@hotmail.com
*/
%macro isBlank(param);
  %sysevalf(%superq(param)=,boolean)
%mend isBlank;
